## com.saxonica.codegen
Class ComputedAttributeCompiler

    java.lang.Object
      com.saxonica.codegen.ExpressionCompiler
          com.saxonica.codegen.PushExpressionCompiler
              com.saxonica.codegen.ComputedAttributeCompiler

    public class ComputedAttributeCompiler

extends PushExpressionCompiler

Compile a computed attribute constructor to Java source code

Constructor Summary
`ComputedAttributeCompiler()`

Method Summary
`protected static java.lang.String` `compileAnnotationCode(CompilerService compiler, SchemaType schemaType)`
`protected static void` `compileAttributeValidationCode(CompilerService compiler, java.lang.String stringVar, SchemaType schemaType)`
`void` `compilePush(CompilerService compiler, Expression expr)` Generate Java code to execute the expression in push mode, that is, code to write events to the current output Receiver

Methods inherited from class com.saxonica.codegen.PushExpressionCompiler
`compileToCharSequence, compileToEffectiveBooleanValue, compileToItem, compileToIterator, getStaticBaseURI, prepareToPush`

Methods inherited from class com.saxonica.codegen.ExpressionCompiler
`compileAsLoop, compileToValueRepresentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComputedAttributeCompiler

    public ComputedAttributeCompiler()

Method Detail

### compilePush

    public void compilePush(CompilerService compiler,
                            Expression expr)

  Description copied from class: `ExpressionCompiler`
  Generate Java code to execute the expression in push mode, that is, code to write events to the current output Receiver

  Specified by:
    `compilePush` in class `ExpressionCompiler`
  Parameters:
    `compiler` - the compiler service
    `expr` - the expression to be compiled

### compileAttributeValidationCode

    protected static void compileAttributeValidationCode(CompilerService compiler,
                                                         java.lang.String stringVar,
                                                         SchemaType schemaType)

### compileAnnotationCode

    protected static java.lang.String compileAnnotationCode(CompilerService compiler,
                                                            SchemaType schemaType)

Copyright (c) Saxonica Limited. All rights reserved.